/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: mbp.c 1.3 89/10/10 $@(#)graf:src/dev.d/hp7220.d/hpd.d/mbp.c	1.2"
#include <stdio.h>
#include "dev.h"

mbp(x,y) {
	int t;
/*
 *  mbp translates coordinates into multiple-byte pair format
 */
	putchar( (x>>10) | 0140 );
	t = (x>>4) & 077;
	if ( t >= 32 ) putchar(t);
	else putchar( t | 0100 );
	t = ( (x<<2) | ( (y>>12) & 03 ) ) & 077;
	if ( t >= 32 ) putchar(t);
	else putchar( t | 0100 );
	t = (y>>6) & 077;
	if ( t >= 32 ) putchar(t);
	else putchar( t | 0100 );
	t = y & 077;
	if ( t >= 32 ) putchar(t);
	else putchar( t | 0100 );
}
